#ifndef __Goodies__
#define __Goodies__

#define DEFAULT_MAIL_PATH  "/var/spool/mail/"
#define DEFAULT_BELL_VOLUME 20

/* Tip window types */
#define NO_TIP        (-1)
#define START_TIP     (-30)
#define GLOADABLE_TIP (-6)

typedef struct {
  int  x, y, w, h, tw, th, open, type;
  char *text;
  Window win;
} TipStruct;

void GoodiesParseConfig(char *tline, char *Module);
void InitGoodies();
void DrawGoodies();
void PopupTipWindow(int px, int py, char *text);
void CreateTipWindow(int x, int y, int w, int h);
void RedrawTipWindow();
void DestroyTipWindow();
void ShowTipWindow(int open);
/* void HandleMouseClick(XEvent event); */

#endif
